## mathopd 1.5p5

=== src/Makefile ===
BIN = mathopd
CC = gcc
CFLAGS = -O -Wall
CPPFLAGS = 
LDFLAGS = 
LIBS = -lcrypt
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin

# On Solaris, uncomment the following
# CPPFLAGS = -DNEED_INET_ATON -DHAVE_CRYPT_H
# LIBS = -lsocket -lnsl

# On Linux, uncomment the following
# CPPFLAGS = -DHAVE_CRYPT_H

OBJS = base64.o cgi.o config.o core.o dump.o imap.o log.o main.o \
	redirect.o request.o util.o stub.o
DEPENDS = mathopd.h Makefile

# Uncomment the following if your system does not support the poll() function
# CPPFLAGS += -DPOLL_EMULATION
# OBJS += poll-emul.o

# Uncomment the following if your system does not have the socklen_t type
# CPPFLAGS += -DNEED_SOCKLEN_T

# Unomment the following if your system has a working vfork() function
# CPPFLAGS += -DHAVE_VFORK

# Currently, sendfile support is available in two flavours: Linux and FreeBSD
# Uncomment one of the following two to enable sendfile() support
# CPPFLAGS += -DLINUX_SENDFILE
# CPPFLAGS += -DFREEBSD_SENDFILE
# If you define any of the SENDFILE conditionals, make sure to uncomment
# the next line as well.
# OBJS += sendfile.o

all: $(BIN)
install: $(BIN)
	install -c $(BIN) $(SBINDIR)
$(BIN): $(OBJS)
	$(CC) $(LDFLAGS) -o $(BIN) $(OBJS) $(LIBS)
$(OBJS): $(DEPENDS)
.c.o:
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@
clean:
	rm -f $(BIN) $(OBJS)
.PHONY: install clean

## mathopd 1.5p6

=== src/Makefile ===
--- 
+++ 
@@ -8,19 +8,24 @@
 SBINDIR = $(PREFIX)/sbin
 
 # On Solaris, uncomment the following
-# CPPFLAGS = -DNEED_INET_ATON -DHAVE_CRYPT_H
-# LIBS = -lsocket -lnsl
+# CPPFLAGS = -DHAVE_CRYPT_H
+# LIBS = -lsocket -lnsl -lresolv
 
 # On Linux, uncomment the following
 # CPPFLAGS = -DHAVE_CRYPT_H
 
+# For Linux or Solaris:
+# To add support for large files (>2GB), uncomment the following.
+# You do not need this for 64-bit executables.
+# CPPFLAGS += -D_FILE_OFFSET_BITS=64
+
 OBJS = base64.o cgi.o config.o core.o dump.o imap.o log.o main.o \
-	redirect.o request.o util.o stub.o
+	redirect.o request.o util.o stub.o $(EXTRA_OBJS)
 DEPENDS = mathopd.h Makefile
 
 # Uncomment the following if your system does not support the poll() function
 # CPPFLAGS += -DPOLL_EMULATION
-# OBJS += poll-emul.o
+# EXTRA_OBJS += poll-emul.o
 
 # Uncomment the following if your system does not have the socklen_t type
 # CPPFLAGS += -DNEED_SOCKLEN_T
@@ -34,11 +39,11 @@
 # CPPFLAGS += -DFREEBSD_SENDFILE
 # If you define any of the SENDFILE conditionals, make sure to uncomment
 # the next line as well.
-# OBJS += sendfile.o
+# EXTRA_OBJS += sendfile.o
 
 all: $(BIN)
 install: $(BIN)
-	install -c $(BIN) $(SBINDIR)
+	install -c $(BIN) $(DESTDIR)$(SBINDIR)
 $(BIN): $(OBJS)
 	$(CC) $(LDFLAGS) -o $(BIN) $(OBJS) $(LIBS)
 $(OBJS): $(DEPENDS)

=== debian/changelog ===
mathopd (1.5p6-1.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * Update to packaging format "3.0 (quilt)" due to patch.
  * debian/patches
    - (number 10): Add patch to fix error: conflicting types for getline.
      (RC bug FTBFS serious; Closes: #552826).
  * debian/source/format
     - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 17 Jan 2010 21:47:21 +0200

mathopd (1.5p6-1) unstable; urgency=low

  * New upstream release.
  
  * New man page from Juergen Daubert (closes: #366153).

  * Add sendfile support only when using Linux (closes: #414102).
  
 -- Jose M. Moya <josem@debian.org>  Mon, 21 Jan 2008 11:03:28 +0100

mathopd (1.5p5-1) unstable; urgency=low

  * New upstream release (closes: #301366).

  * Fix typo in package description (closes: #301711).

 -- Jose M. Moya <josem@debian.org>  Tue, 29 Mar 2005 11:37:51 +0200

mathopd (1.5p4-1) unstable; urgency=low

  * Add watch file.
  
  * Fix hyphen-used-as-minus-sign in manpages.

  * New upstream release.
    Upload sponsored by Roberto Lumbreras <rover@debian.org>.

 -- Jose M. Moya <josem@die.upm.es>  Wed, 08 Dec 2004 17:12:17 +0100

mathopd (1.5p3-3) unstable; urgency=low

  * Remove pre* scripts as they were empty.
  
  * Fix description typo.
  
  * Upload sponsored by Marc 'HE' Brockschmidt <he@debian.org>.

 -- Jose M. Moya <josem@die.upm.es>  Wed,  2 Jun 2004 11:16:23 +0200

mathopd (1.5p3-2) unstable; urgency=low

  * Remove INSTALL_PROGRAM from Makefile as debian/rules does not use it
    anymore.
  
  * Fix NAME section of mathopd.conf man page.
  
  * Update to Standards-Version 3.6.1.

 -- Jose M. Moya <josem@die.upm.es>  Thu,  1 Apr 2004 10:02:17 +0200

mathopd (1.5p3-1) unstable; urgency=low

  * New upstream release.
    Upload sponsored by Roberto Lumbreras <rover@debian.org>.

 -- Jose M. Moya <josem@die.upm.es>  Wed, 31 Mar 2004 19:46:01 +0200

mathopd (1.5p2-1) unstable; urgency=low

  * Initial Release (closes: #236284).
    Upload sponsored by Roberto Lumbreras <rover@debian.org>.

 -- Jose M. Moya <josem@die.upm.es>  Wed, 10 Mar 2004 10:11:41 +0100

=== debian/control ===
Source: mathopd
Section: web
Priority: optional
Maintainer: Jose M. Moya <josem@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.3
Homepage: http://www.mathopd.org/

Package: mathopd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: httpd, httpd-cgi
Description: Very small, yet very fast HTTP server
 Mathopd is a very small, yet very fast HTTP server for UN*X systems.
 .
 Mathopd supports useful features of HTTP/1.1, such as persistent
 connections, partial responses and pipelining. It does not support
 things like content negotiation. It also supports CGI/1.1.
 .
 Mathopd was designed specifically to run as a single process, and to
 never grow in size. When this software was first written (early 1996)
 this was something that other HTTP servers were not very good at.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall

ifeq ($(DEB_HOST_ARCH_OS),linux)
 CPPFLAGS = -DHAVE_CRYPT_H -DLINUX_SENDFILE -D_FILE_OFFSET_BITS=64
 EXTRA_OBJS = sendfile.o
else
 CPPFLAGS = -DHAVE_CRYPT_H
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	cd src && $(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" \
		EXTRA_OBJS=$(EXTRA_OBJS) PREFIX=/usr

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	cd src && $(MAKE) clean EXTRA_OBJS=$(EXTRA_OBJS)

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	cd src && $(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/mathopd


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/CHANGES
	dh_installdocs
	dh_install
	dh_installlogrotate
	dh_installinit
	dh_installman debian/mathopd.8 debian/mathopd.conf.5
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=2
http://www.mathopd.org/download.html /dist/mathopd-(.+p.+)\.tar\.gz
